Skip to main content
POST
/
api
/
parent_agents
Create Parent Agent
curl --request POST \
  --url https://app.maadify.com/api/parent_agents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_name": "<string>",
  "description": "<string>",
  "parent_agent_type_key": "<string>",
  "parent_agent_type": "<string>",
  "active": true
}
'
import requests

url = "https://app.maadify.com/api/parent_agents"

payload = {
"agent_name": "<string>",
"description": "<string>",
"parent_agent_type_key": "<string>",
"parent_agent_type": "<string>",
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_name: '<string>',
description: '<string>',
parent_agent_type_key: '<string>',
parent_agent_type: '<string>',
active: true
})
};

fetch('https://app.maadify.com/api/parent_agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "items": [
      {
        "id": 123,
        "parent_agent_type": "<string>",
        "parent_agent_type_key": "<string>",
        "agent_key": "<string>",
        "agent_name": "<string>",
        "full_display_name": "<string>",
        "tenant": "<string>",
        "display_name": "<string>",
        "description": "<string>",
        "configs": {
          "last_agent_in_group": "<string>",
          "max_rounds": "10",
          "temperature": 0,
          "max_messages": "10",
          "continue_with_last_agent": false,
          "memory_expiration": {
            "thread_ttl_hours": 24,
            "agent_ttl_days": 123,
            "tenant_ttl_days": 123,
            "clear_thread_on_conversation_end": false
          }
        },
        "llm_model": 123,
        "llm_model_name": "<string>",
        "active": true,
        "state_function": [
          {}
        ],
        "created_at": "<string>"
      }
    ]
  },
  "error_type": "<string>",
  "error_message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
agent_name
string
required

Human-readable parent agent name. The stored action key is created from this value by converting spaces to underscores and lowercasing it.

Minimum string length: 1
description
string
required

Clear summary of what the parent agent should accomplish.

Minimum string length: 1
parent_agent_type_key
string | null

Parent agent type key, provide this or parent_agent_type.

Minimum string length: 1
parent_agent_type
string | null

Human-readable parent agent type, provide this or parent_agent_type_key.

Minimum string length: 1
active
boolean
default:true

Turns the parent agent on or off.

Response

Successful Response

success
boolean
required

Whether the request was successful.

data
ParentAgentMutationData · object
required

Parent agent mutation results.

error_type
string | null

Type of error if the request failed.

error_message
string | null

Error message or informational message.